Skip to main content
GET
/
v1
/
flow
/
files
/
{file_id}
/
derived-files
List derived files
curl --request GET \
  --url https://flow.seekr.com/v1/flow/files/{file_id}/derived-files \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v1/flow/files/{file_id}/derived-files"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v1/flow/files/{file_id}/derived-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    "<string>"
  ],
  "object": "list"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Call this to find files produced from a given file, such as alignment outputs. This is useful for tracing what downstream files exist before deleting a source file.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Path Parameters

file_id
string
required

Response

Successful Response

Generic response model for a list of resource IDs.

data
string[]
required
object
string
default:list
Allowed value: "list"
Last modified on June 18, 2026